# Show custom field

`GET https://rcur.app/api/v2/custom-fields/{id}`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

## Example request

```bash
curl -X GET https://rcur.app/api/v2/custom-fields/YJRQAMRQ6y \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
```

## Responses

### 200 Custom field details

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |
| `name` | string | yes | Internal name |
| `label` | string | yes | The question as the customer sees it |
| `type` | string | yes | One of: `text`, `textarea`, `number`, `select`, `checkbox`, `date`. |
| `options` | array of strings | yes | The choices of a select field |
| `required` | boolean | yes |  |
| `store_on_customer` | boolean | no | The latest answer is kept on the customer |
| `store_on_record` | boolean | no | The answer is kept on the payment, order or subscription of the checkout |
| `created_at` | string | yes |  |

```json
{
    "id": "aB3dE5fG7h",
    "name": "Shirt size",
    "label": "What is your shirt size?",
    "type": "select",
    "options": [
        "S",
        "M",
        "L"
    ],
    "required": false,
    "store_on_customer": false,
    "store_on_record": true,
    "created_at": "2026-10-08 10:00:00"
}
```

### 404 Resource not found

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | integer | yes |  |
| `error` | string | yes |  |

```json
{
    "status": 404,
    "error": "Resource not found"
}
```
